const fetch = require('node-fetch');

/*
module.exports = async function() {
    let url = "https://overpass-api.de/api/interpreter?data=[out:json][timeout:60];relation(4189512);map_to_area;nwr[railway=station][train=yes](area);out%20body%20center%20qt;";

    consoole.log('function() url: ' + url);
    console.log('function() data.length: ' + data.length);
    return await fetch(url).then(data => data.elements.json())
};
*/

module.exports = async function() {
    const response = await fetch("https://overpass-api.de/api/interpreter?data=[out:json][timeout:60];relation(4189512);map_to_area;nwr[railway=station](area);out%20body%20center%20qt;");
    const data = await response.json();
    //console.log('data: ' + data);
    console.log('elements: ' + JSON.stringify(data.elements));
    return data.elements;
}
